%define name serpentine
%define version 0.9
%define release %mkrel 6

%define build_muine 0
%{?_with_muine: %global build_muine 1}


%define muineplugindir %_prefix/lib/muine/plugins
Summary: Master audio CDs
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://download.berlios.de/serpentine/%{name}-%{version}.tar.bz2
Source1: gnome-dev-cdrom-audio-48.png
Source2: gnome-dev-cdrom-audio-32.png
Source3: gnome-dev-cdrom-audio-16.png
Source4: serpentine-nl.po.bz2
Patch: serpentine-0.9-fix-gnome-power-manager-dbus-interface.patch
License: GPL
Group: Archiving/Cd burning
Url: http://irrepupavel.com/projects/serpentine/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: python-devel
%if %build_muine
BuildRequires: muine
BuildRequires: mono-devel
%endif
BuildRequires: perl-XML-Parser
BuildRequires: desktop-file-utils
BuildRequires: GConf2
Requires: python-pyxml >= 0.8.4-2mdk
Requires: pygtk2.0-libglade
Requires: gstreamer0.10-python
Requires: gnome-python-gnomevfs
Requires: gnome-python-gconf
Requires: gnome-python-totem
Requires: gnome-python-nautilus-burn
# gw: used to disable suspend while burning
Requires: python-dbus
Suggests: gnome-power-manager
BuildArch: noarch

%description
Serpentine is an application for mastering audio CDs. In it's design
simplicity will be the keyword. Dnd and saving states (think nautilus)
will play an important role here, since it will cleanup the UI a lot.
Serpentine will try to abide to GNOME HIG v2.0.

%if %build_muine
%package muine
Group: Archiving/Cd burning
Summary: CD writing plugin for muine
Requires: %name = %version
Requires: muine

%description muine
This is a CD writing plugin for the Muine player that uses Serpentine
for writing the playlist directly to a CD.

%endif

%prep
%setup -q
bzcat %SOURCE4 > po/nl.po
%patch  -p1

%build
./configure --prefix=%_prefix \
%if %build_muine
 --enable-muine
%endif

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
mkdir -p $RPM_BUILD_ROOT/%{_menudir}
cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/%{name}
?package(%{name}):command="%{_bindir}/%{name}" icon="serpentine.png" \
  needs="x11" section="System/Archiving/CD Burning" title="Serpentine" \
  longtitle="Create audio CDs from music files" startup_notify="true" xdg="true"
EOF
sed -i -e 's/Icon=gnome-dev-cdrom-audio/Icon=serpentine/g'  $RPM_BUILD_ROOT%{_datadir}/applications/serpentine.desktop
perl -pi -e 's/(Categories=GNOME;GTK;)AudioVideo;(DiscBurning;)/$1$2Utility;/' $RPM_BUILD_ROOT%{_datadir}/applications/serpentine.desktop

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System-Archiving-CDBurning" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

%find_lang %name

install -m 644 -D %SOURCE1 %buildroot%_liconsdir/serpentine.png
install -m 644 -D %SOURCE2 %buildroot%_iconsdir/serpentine.png
install -m 644 -D %SOURCE3 %buildroot%_miconsdir/serpentine.png

%post
%update_menus
%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%doc README TODO AUTHORS ChangeLog
%_bindir/%name
%py_puresitedir/%name
%_datadir/applications/%name.desktop
%_datadir/%name
%_menudir/%name
%_liconsdir/*.png
%_iconsdir/*.png
%_miconsdir/*.png

%if %build_muine
%files muine
%defattr(-,root,root)
%doc README
%muineplugindir/SerpentinePlugin.dll
%endif




%changelog
* Mon Sep 24 2007 Anne Nicolas <anne.nicolas@mandriva.com> 0.9-6mdv2008.0
+ Revision: 92498
- Fix menu

* Mon Sep 10 2007 Götz Waschk <waschk@mandriva.org> 0.9-5mdv2008.0
+ Revision: 84289
- update the patch, trying to fix bug #33000
- update nl.po

* Thu Aug 30 2007 Götz Waschk <waschk@mandriva.org> 0.9-4mdv2008.0
+ Revision: 76138
- fix dbus interface for g-p-m (bug #33000)

* Thu Aug 30 2007 Götz Waschk <waschk@mandriva.org> 0.9-3mdv2008.0
+ Revision: 76112
- update nl translation (bug #32999)

* Thu Aug 30 2007 Götz Waschk <waschk@mandriva.org> 0.9-2mdv2008.0
+ Revision: 75143
- update deps

* Wed Aug 29 2007 Götz Waschk <waschk@mandriva.org> 0.9-1mdv2008.0
+ Revision: 74606
- new version


* Fri Mar 09 2007 Frederic Crozat <fcrozat@mandriva.com> 0.7-5mdv2007.1
+ Revision: 138959
- Fix buildrequires
- Don't build muine plugin by default, to move serpentine to main
- clean specfile
- rename desktop icon to serpentine

* Wed Nov 29 2006 Götz Waschk <waschk@mandriva.org> 0.7-4mdv2007.1
+ Revision: 88385
- Import serpentine

* Wed Nov 29 2006 Götz Waschk <waschk@mandriva.org> 0.7-4mdv2007.1
- Rebuild

* Sun Sep 17 2006 Gtz Waschk <waschk@mandriva.org> 0.7-3mdv2007.0
- add icons

* Thu Aug 03 2006 Gtz Waschk <waschk@mandriva.org> 0.7-2mdv2007.0
- xdg menu

* Wed Jun 14 2006 Gtz Waschk <waschk@mandriva.org> 0.7-1mdv2007.0
- fix deps
- New release 0.7

* Tue Mar 07 2006 Michael Scherer <misc@mandriva.org> 0.6.4-2mdk
- mkrel 
- use python macro

* Tue Nov 01 2005 Götz Waschk <waschk@mandriva.org> 0.6.4-1mdk
- New release 0.6.4

* Mon Sep 19 2005 Götz Waschk <waschk@mandriva.org> 0.6.3-1mdk
- New release 0.6.3

* Sat Sep 17 2005 Gtz Waschk <waschk@mandriva.org> 0.6.2-2mdk
- fix buildrequires

* Sat Sep 17 2005 Götz Waschk <waschk@mandriva.org> 0.6.2-1mdk
- New release 0.6.2

* Fri Aug 26 2005 Götz Waschk <waschk@mandriva.org> 0.6.1-2mdk
- rebuild for new gtk-sharp2

* Fri Jun 24 2005 Gtz Waschk <waschk@mandriva.org> 0.6.1-1mdk
- drop patches
- New release 0.6.1

* Wed Jun 22 2005 Gtz Waschk <waschk@mandriva.org> 0.6-3mdk
- try to fix upstream bug 3939

* Tue Jun 21 2005 Gtz Waschk <waschk@mandriva.org> 0.6-2mdk
- add muine plugin

* Tue Jun 21 2005 Gtz Waschk <waschk@mandriva.org> 0.6-1mdk
- source URL
- New release 0.6

* Thu May 05 2005 Gtz Waschk <waschk@mandriva.org> 0.5-2mdk
- fix deps

* Sat Apr 30 2005 Gtz Waschk <waschk@mandriva.org> 0.5-1mdk
- initial package

